Bug 1269829 - Cannot disassociate content view from Activation Key in WebUI
Cannot disassociate content view from Activation Key in WebUI
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys (Show other bugs)
6.1.2
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 06:17 EDT by Oleksandr Shtaier
Modified: 2017-01-11 16:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 16:32:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot with issue on UI (47.97 KB, image/png)
2015-10-08 06:17 EDT, Oleksandr Shtaier
no flags Details

  None (edit)
Description Oleksandr Shtaier 2015-10-08 06:17:46 EDT
Created attachment 1080960 [details]
Screenshot with issue on UI

Description of problem:
We can assign content view to existing activation key or create new activation with assigned content view. Also, we can change content view to another one. But we cannot remove that assignment at all

Operation is available from CLI and API, but not from WebUI

Version-Release number of selected component (if applicable):
6.1.3 (but issue, probably, existed from the start of application)

How reproducible:
Always

Steps to Reproduce:
1. Create activation key with content view
2. Try to remove content view from activation key
3.

Actual results:
You cannot remove content view

Expected results:
It will be nice to have something like '-------------', 'None' or '        ' in the list of available activation key content views

Additional info:
That issue can be just feature of a application design, but, in my opinion it is a defect as problem persists only in UI
Comment 4 Bryan Kearney 2016-08-04 16:10:57 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-01-11 16:32:39 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.